import xarray
print(f"Using xarray {xarray.__version__}")
from tqdm import tqdm

filename = 'ramona_optics_metadata.nc'
for engine in [
    'h5netcdf',
    'netcdf4',
    'computed',
]:
    if engine == 'computed':
        dataset = xarray.open_dataset(filename).compute()
    else:
        dataset = xarray.open_dataset(filename, engine=engine)
    N_frames = dataset.sizes['frame_number']
    N_iters = 100_000

    for i in tqdm(range(N_iters), desc=f"Engine {engine}"):
        dataset.isel(frame_number=i%N_frames)
    dataset.close()
